C======= C (N,M)  FOR IOT31, IOT61============
      FUNCTION IC(NN,MM)
      REAL*8 IC,IA
      IF(NN.GT.0.AND.MM.GT.0.AND.NN.LT.MM) PRINT 777,NN,MM
777   FORMAT('REAL FUNCTION  C(N,M)-binomial coefficients '/
     * ' INCORRECT PARAMETERS N ',I5,' M ',I5)
      IF(NN.NE.0.OR.MM.NE.0) GOTO 788
      IC=1.D 00
      RETURN
788   CONTINUE
      IF(NN.LE.0.AND.MM.GT.0) PRINT 777,NN,MM
      IF(MM.LT.0) PRINT 777,NN,MM
      N=NN
      M=MM
      IF(M.LT.N-M) M=N-M
      N=N+1
      IA=1.D 00
      IF(M.LT.1) GOTO 2
      DO 1 I=1,M
1     IA=IA*DFLOAT(N-I)/DFLOAT(I)
2     IC=IA
      RETURN
      END
